import React from 'react';
import styled from 'styled-components/native';
import { MaterialIcons } from '@expo/vector-icons';

const BCContainer = styled.TouchableHighlight`
  width: 50px;
  height: 50px;
  background-color: #0C0012;
  position: absolute;
  bottom: 20px;
  right: 20px;
  border-radius: 25px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 1px solid #0C0012;
  z-index: 1;
`;

const ButtonCreateComponent = ({ pressButton }) => {
  return (
    <BCContainer underlayColor="#0C0012" onPress={() => {pressButton();}}>
      <MaterialIcons name="add" size={45} color="white"/>
    </BCContainer>
  );
};

export default ButtonCreateComponent;