import { useSelector } from 'react-redux';
import { useState } from 'react';
import React from 'react';

export function useAssistantScreen () {
  const singleHoliday = useSelector(state => state.holidaySlice.singleHoliday);
  const user = useSelector(state => state.holidaySlice.user);

  const [self, setSelf] = useState(false);
  const [cooperative, setCooperative] = useState([]);
  const [assistant, setAssistant] = useState([]);
  return {
    models: {
      singleHoliday,
      user,
      assistant,
      setAssistant,
      self,
      setSelf,
      cooperative,
      setCooperative,
    },
  };
}