import { useDispatch, useSelector } from 'react-redux';
import React from 'react';

export function useMainScreen () {
  const dispatch = useDispatch();
  const holidaysList = useSelector(state => state.holidaySlice.holidaysList);
  const isLoading = useSelector(state => state.holidaySlice.isLoading);
  const user = useSelector(state => state.holidaySlice.user);

  return {
    models: {
      dispatch, holidaysList, isLoading, user,
    },
  };
}