import { useDispatch } from 'react-redux';
import { AsyncStorage } from 'react-native';
import { cleanUser } from '../../../store/slices/holidaysSlice';

export function useSettingsScreen ({ navigation }) {

  const dispatch = useDispatch();

  const logOut = async () => {
    try {
      await AsyncStorage.removeItem('user');
      navigation.navigate('Authorization');
      dispatch(cleanUser());
    } catch (e) {
      console.log('Remove token' + e);
    }
  };
  return {
    commands: { logOut },
  };
}